#!/bin/bash
#
# source: http://prism54.org/firmware/1.0.4.3.arm
#         http://prism54.org/firmware/1.1.0.0.arm
#
# maintainer: gmg (monpontet.gerard@neuf.fr)
#

#------------------Set Some Variables

buildir=$(pwd)
soft="prism54-firmware"
softversion="1.0.4.3"
arch="noarch"
packageversion="54.1"

package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# -----------------Extract sources and get ready to build

cd $buildir
rm -rf $src
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest/install

#-----------------Make the slack-desc files

cat << EODESC >> $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

                |-----handy-ruler----------------------------------------------|
prism54-firmware: prism54-firmware - Firmware for the Linux prism54 driver
prism54-firmware:
prism54-firmware: 
prism54-firmware: Firmware for the Linux Kernel prism54 driver.
prism54-firmware:
prism54-firmware: http://prism54.org/fullmac.html
prism54-firmware:
prism54-firmware:
prism54-firmware:
prism54-firmware:
prism54-firmware:
EODESC

#------------------Set correct permissions

chown -R root:root .

mkdir -p $dest/lib/firmware
install 1.0.4.3.arm $dest/lib/firmware/isl3890
install 1.1.0.0.arm $dest/lib/firmware/isl3877

mkdir -p $dest/usr/doc/$soft-$softversion
cp LICENSE $dest/usr/doc/$soft-$softversion

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5